TrackBean

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## freedb
Class TrackBean

    java.lang.Object
      freedb.TrackBean

All Implemented Interfaces:
  javax.ejb.EnterpriseBean, javax.ejb.EntityBean, java.io.Serializable

public class TrackBean
extends java.lang.Object
implements javax.ejb.EntityBean

Class which encapsulates the abstract idea of a track from a CD according to the data available from the CDDB entry

Author:
  diana abbas < dabbas @ umail ucsb edu >
See Also:
  Serialized Form

Field Summary
`javax.ejb.EntityContext` | `context` Description of the Field
`private java.lang.String` | `discId` the CDDB disc id of the CD that this track is on
`private java.lang.String` | `ext` Extended data which may or may not be present
`private java.lang.String` | `trackName` Name of the track
`private java.lang.Integer` | `trackNumber` Number of the track on the disc

Constructor Summary
`TrackBean()` Constructor for the Track object

Method Summary
`void` | `ejbActivate()` Description of the Method
`void` | `ejbLoad()` Description of the Method
`void` | `ejbPassivate()` Description of the Method
`void` | `ejbRemove()` Description of the Method
`void` | `ejbStore()` Description of the Method
`java.lang.String` | `getDiscId()` Gets the DiscId attribute of the Track object
`java.lang.String` | `getExt()` Gets the Ext attribute of the Track object
`java.lang.String` | `getTrackName()` Gets the TrackName attribute of the Track object
`java.lang.Integer` | `getTrackNumber()` Gets the TrackNumber attribute of the Track object
`void` | `setDiscId(java.lang.String discId)` Sets the DiscId attribute of the Track object
`void` | `setEntityContext(javax.ejb.EntityContext context)` Sets the EntityContext attribute of the TrackBean object
`void` | `setExt(java.lang.String ext)` Sets the Ext attribute of the Track object
`void` | `setTrackName(java.lang.String trackName)` Sets the TrackName attribute of the Track object
`void` | `setTrackNumber(java.lang.Integer trackNumber)` Sets the TrackNumber attribute of the Track object
`java.lang.String` | `toString()` Converts to a String which is the SQL INSERT statement to be used to add this data to a database.
`void` | `unsetEntityContext()` Description of the Method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### context

    public javax.ejb.EntityContext context

  Description of the Field

  Since:
    empty

### trackName

    private java.lang.String trackName

  Name of the track

  Since:
    empty

### ext

    private java.lang.String ext

  Extended data which may or may not be present

  Since:
    empty

### trackNumber

    private java.lang.Integer trackNumber

  Number of the track on the disc

  Since:
    empty

### discId

    private java.lang.String discId

  the CDDB disc id of the CD that this track is on

  Since:
    empty

Constructor Detail

### TrackBean

    public TrackBean()

  Constructor for the Track object

Since:
  empty

Method Detail

### setTrackName

    public void setTrackName(java.lang.String trackName)

  Sets the TrackName attribute of the Track object

  Parameters:
    `trackName` - The new TrackName value
  Since:
    empty

### setExt

    public void setExt(java.lang.String ext)

  Sets the Ext attribute of the Track object

  Parameters:
    `ext` - The new Ext value
  Since:
    empty

### setTrackNumber

    public void setTrackNumber(java.lang.Integer trackNumber)

  Sets the TrackNumber attribute of the Track object

  Parameters:
    `trackNumber` - The new TrackNumber value
  Since:
    empty

### setDiscId

    public void setDiscId(java.lang.String discId)

  Sets the DiscId attribute of the Track object

  Parameters:
    `discId` - The new DiscId value
  Since:
    empty

### setEntityContext

    public void setEntityContext(javax.ejb.EntityContext context)
                          throws javax.ejb.EJBException,
                                 java.rmi.RemoteException

  Sets the EntityContext attribute of the TrackBean object

  Specified by:
    `setEntityContext` in interface `javax.ejb.EntityBean`
  Parameters:
    `context` - The new EntityContext value
  Throws:
    `javax.ejb.EJBException` - Description of Exception
    `java.rmi.RemoteException` - Description of Exception
  Since:
    empty

### getTrackName

    public java.lang.String getTrackName()

  Gets the TrackName attribute of the Track object

  Returns:
    The TrackName value
  Since:
    empty

### getExt

    public java.lang.String getExt()

  Gets the Ext attribute of the Track object

  Returns:
    The Ext value
  Since:
    empty

### getTrackNumber

    public java.lang.Integer getTrackNumber()

  Gets the TrackNumber attribute of the Track object

  Returns:
    The TrackNumber value
  Since:
    empty

### getDiscId

    public java.lang.String getDiscId()

  Gets the DiscId attribute of the Track object

  Returns:
    The DiscId value
  Since:
    empty

### toString

    public java.lang.String toString()

  Converts to a String which is the SQL INSERT statement to be used to add this data to a database.

  Returns:
    A string representation of the object.
  Since:
    empty

### unsetEntityContext

    public void unsetEntityContext()
                            throws javax.ejb.EJBException,
                                   java.rmi.RemoteException

  Description of the Method

  Specified by:
    `unsetEntityContext` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Description of Exception
    `java.rmi.RemoteException` - Description of Exception
  Since:
    empty

### ejbActivate

    public void ejbActivate()
                     throws javax.ejb.EJBException,
                            java.rmi.RemoteException

  Description of the Method

  Specified by:
    `ejbActivate` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Description of Exception
    `java.rmi.RemoteException` - Description of Exception
  Since:
    empty

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException,
                        java.rmi.RemoteException

  Description of the Method

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Description of Exception
    `java.rmi.RemoteException` - Description of Exception
  Since:
    empty

### ejbPassivate

    public void ejbPassivate()
                      throws javax.ejb.EJBException,
                             java.rmi.RemoteException

  Description of the Method

  Specified by:
    `ejbPassivate` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Description of Exception
    `java.rmi.RemoteException` - Description of Exception
  Since:
    empty

### ejbRemove

    public void ejbRemove()
                   throws javax.ejb.EJBException,
                          java.rmi.RemoteException,
                          javax.ejb.RemoveException

  Description of the Method

  Specified by:
    `ejbRemove` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.RemoveException` - Description of Exception
    `javax.ejb.EJBException` - Description of Exception
    `java.rmi.RemoteException` - Description of Exception
  Since:
    empty

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException,
                         java.rmi.RemoteException

  Description of the Method

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`
  Throws:
    `javax.ejb.EJBException` - Description of Exception
    `java.rmi.RemoteException` - Description of Exception
  Since:
    empty

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD